Skip to main content
GET
/
feedstock_batches
/
{id}
Get Feedstock Batch
curl --request GET \
  --url https://api.sandbox.isometric.com/mrv/v0/feedstock_batches/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'x-client-secret: <x-client-secret>'
import requests

url = "https://api.sandbox.isometric.com/mrv/v0/feedstock_batches/{id}"

headers = {
"x-client-secret": "<x-client-secret>",
"Authorization": "Bearer <token>"
}

response = requests.get(url, headers=headers)

print(response.text)
const options = {
method: 'GET',
headers: {'x-client-secret': '<x-client-secret>', Authorization: 'Bearer <token>'}
};

fetch('https://api.sandbox.isometric.com/mrv/v0/feedstock_batches/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "created_at": "2023-11-07T05:31:56Z",
  "delivery_date": "2023-12-25",
  "display_name": "<string>",
  "feedstock_type_id": "ftt_1D7KZ1P761S0G7BN",
  "id": "ftb_1DYYDB3C91S0ZHPX",
  "mass": {
    "magnitude": 123,
    "unit": "<string>",
    "standard_deviation": 123
  },
  "supplier_reference_id": "<string>"
}
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"ctx": {},
"input": "<unknown>"
}
]
}

Authorizations

Authorization
string
header
required

A JWT Bearer token header for authentication and authorization, in the format Authorization: Bearer <token>

Headers

x-client-secret
string
required

A secret token identifying the client connecting to the API

Example:

"Syou3EZiO5vuMEgNyBeA8cjEMYOnQDwP"

Path Parameters

id
string
required
Required string length: 20 - 37
Examples:

"ftb_1DYYDB3C91S0ZHPX"

"ftb_1G59XDK6HSBXCZ9B"

Response

Successful Response

created_at
string<date-time>
required
delivery_date
string<date>
required
display_name
string
required
feedstock_type_id
string
required
Required string length: 20 - 37
Examples:

"ftt_1D7KZ1P761S0G7BN"

"ftt_1CSRJN4HHSBXZ3TK"

id
string
required
Required string length: 20 - 37
Examples:

"ftb_1DYYDB3C91S0ZHPX"

"ftb_1G59XDK6HSBXCZ9B"

mass
ScalarQuantity · object | null
required
supplier_reference_id
string | null
required

A string that must be unique for all resources created by a specific supplier. It can be used by a client to identify the correct objects in their system.

Required string length: 1 - 200